Bug 979857 - /usr/bin/firewall-offline-cmd depends on system-config-firewall-base
/usr/bin/firewall-offline-cmd depends on system-config-firewall-base
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
19
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 23:19 EDT by Tony Breeds
Modified: 2015-02-17 10:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:45:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Breeds 2013-06-30 23:19:46 EDT
When running firewall-offline-cmd in a newly installed F19 system we get:

---
[root@rome ~]# firewall-offline-cmd 
Error: problem reading system-config-firewall config file.
---

[tony@rom src]$ yum provides -C /etc/sysconfig/system-config-firewall
Loaded plugins: auto-update-debuginfo, fastestmirror, langpacks, presto,
              : refresh-packagekit
system-config-firewall-base-1.2.29-8.fc18.noarch : system-config-firewall base
     ...: components and command line tool
Repo        : fedora
Matched from:
Filename    : /etc/sysconfig/system-config-firewall


This means that "firewall --off" in a kickstart file will also fail to behave as expected.
Comment 1 Thomas Woerner 2013-07-01 07:26:06 EDT
/etc/sysconfig/system-config-firewall is used if firewall-offline-cmd is called without any arguments to merge the old configuration from system-config-firewal/lokkit.

"firewall-offline-cmd --disabled" is working for me.

Please verify.

I will add a man page for firewall-offline-cmd.
Comment 2 Tony Breeds 2013-07-02 02:30:13 EDT
Hello,
  Sorry for the noise yes "firewall-offline-cmd --disabled" does work as expected.

I'll dig deeper as to why firewall --off didn't work in my kickstart file.

I clearly mis-attributed it.
Comment 3 Fedora End Of Life 2015-01-09 13:35:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:45:49 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.